local rawget = rawget
local setmetatable = setmetatable
local currentLocale = GetLocale()
local select = select
local type = type

setfenv(1, RBM.FunctionEnviroment)

local locales = {}
local common = {}
if currentLocale == "enGB" then
	currentLocale = "enUS"
end


local TRANSLATE_MESSAGE
TRANSLATE_MESSAGE = "|cff37FDFCRBM_%s|r is not fully translated for %q, please help translate." --<name><locale>

if currentLocale == "koKR" then
	TRANSLATE_MESSAGE = "|cff37FDFCRBM_%s|r의 %q에 충분한 번역이 없으므로, 번역의 도움을 부탁드립니다." --<name><locale>
end

--[[if commonLocale == "deDE" then
		TRANSLATE_MESSAGE = "de translation"
	end
]]
local TRANSLATE_MESSAGE_DEBUG = "%s:   :%s:"


local localesMT = {
	__index = function(self, key)
		if not common[key] then
			self[key] = key
			if not rawget(self, "__Nagged") then
				if _G.DEFAULT_CHAT_FRAME then
					_G.DEFAULT_CHAT_FRAME:AddMessage(TRANSLATE_MESSAGE:format(self.__Name, currentLocale))
				end
				self.__Nagged = true
			end
			if false then
				if _G.UnitName("player") == "Apoco" then 
					if not _G.RBM.db.profile.locales then _G.RBM.db.profile.locales = {} end
					if not _G.RBM.db.profile.locales[self.__Name] then
						_G.RBM.db.profile.locales[self.__Name] = {}
					end
					if not _G.RBM.db.profile.locales[self.__Name][key] then
						_G.table.insert(_G.RBM.db.profile.locales[self.__Name], key)
					end
				end
			end
			if false then
				debug(TRANSLATE_MESSAGE_DEBUG:format(self.__Name, key))
			end
		else
			self[key] = common[key]
		end
		return self[key]
	end,
}



function Core:GetTranslations()
	if not locales[self] then
		locales[self] = setmetatable({__Name = self:GetName()}, localesMT)
	end
	return locales[self]
end

function Core:RegisterTranslations(locale, ...)
	if locale == currentLocale then
		local L = self:GetTranslations()
		for i=1, select("#", ...), 2 do
			local k, v = select(i, ...)
			if type(k) == "string" and (type(v) == "string" or v == true) then
				L[k] = v == true and k or v
			end
		end
	end
end

function Core:RegisterCommonTranslations(locale, ...)
	if locale == currentLocale then
		for i=1, select("#", ...), 2 do
			local k, v = select(i, ...)
			if type(k) == "string" and (type(v) == "string" or v == true) then
				common[k] = v == true and k or v
			end
		end
	end
end


locales[Core] = setmetatable({__Name = "Core"}, localesMT)
L = locales[Core]